%define		php_name	php%{?php_suffix}
%define		modname	paradox
%define		status		stable
Summary:	read and write Paradox files
Summary(pl.UTF-8):	odczyt i zapis z/do plików Paradox
Name:		%{php_name}-pecl-%{modname}
Version:	1.4.3
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	aab0bc4146bc2852a9623b635fa20c17
Patch0:		format-security.patch
URL:		http://pecl.php.net/package/Paradox/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	pxlib-devel >= 0.6.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-paradox < 1.4.3-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Paradox is an extension to read and write Paradox .DB and .PX files.
It can handle almost all field types and binary large objects stored
in .MB files.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Paradox to rozszerzenie pozwalające na dostęp w trybie odczyt/zapis do
plików .DB oraz .PX bazy Paradox. Rozszerzenie pozwala na obsługę
prawie wszystkich typów pól i dużych obiektów binarnych (ang. binary
large objects, blob) przechowywanych w plikach .MB.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .
%patch0 -p1

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sat May 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-paradox.git;a=log;h=master

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> d0e0064
- fix obsoletes version
- release 8 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 6139be8
- obsolete old php name
- release 7 (by relup.sh)

* Wed Jan 29 2014 Jan Rękorajski <baggins@pld-linux.org> a388824
- fix format string errors

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 75eed96
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 462f66b
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 990e2d6
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 9ef511e
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 02a40ba
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> b6f8b12
- release 2

* Mon Jan 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 7ad8af3
- new

